Foxit PDF SDK

Instance Methods | List of all members
FSPSInk Class Reference
Inheritance diagram for FSPSInk:

## Instance Methods
(id) | - init
| Constructor.
(id) | - initWithAnnot:
| Constructor, with parent class object. More...
Instance Methods inherited from FSAnnot
(BOOL) | - FSMoveWithResetAppearance:is_reset_appearance:
| Move current annotation to a new position, specified by a new rectangle in PDF coordinate system. More...
(BOOL) | - FSResetApStreamWithIsGenerateNewAppearanceObj:
| Reset appearance stream. More...
(FSPDFStream *) | - getAppearanceStream:appearance_state:
| Get annotation's appearance stream with specified type and state. More...
(FSRectI *) | - getDeviceRect:
| Get annotation rectangle in device coordinate system. More...
(FSPDFDictionary *) | - getDict
| Get annotation's dictionary object. More...
(FSMatrix2D *) | - getDisplayMatrix:
| Get the display matrix, from PDF coordinate system to targeted device coordinate system. More...
(int) | - getIndex
| Get the index of current annotation in the page which current annotation belongs to. More...
(FSPDFDictionary *) | - getOptionalContent
| Get the PDF dictionary of annotation's optional content. More...
(FSPDFPage *) | - getPage
| Get the related PDF page. More...
(FSRectF *) | - getRect
| Get rectangle, in PDF coordinate system. More...
(FSAnnotType) | - getType
| Get actual annotation type of current annotation. More...
(BOOL) | - hasProperty:
| Whether current annotation has the specified annotation's property. More...
(id) | - initWithPage:annot_dict:
| Constructor, with PDF page and annotation's PDF dictionary. More...
(BOOL) | - isEmpty
| Check whether current object is empty or not. More...
(BOOL) | - isMarkup
| Check if current annotation is a markup annotation. More...
(BOOL) | - move:
| Move current annotation to a new position, specified by a new rectangle in PDF coordinate system. More...
(BOOL) | - removeProperty:
| Remove a specified annotation's property. More...
(BOOL) | - resetAppearanceStream
| Reset appearance stream. More...

## Additional Inherited Members
Properties inherited from FSAnnot
unsigned int | borderColor
| Get or Set border color. More...
FSBorderInfo * | borderInfo
| Get or Set border information. More...
NSString * | content
| Get or Set content.
unsigned int | flags
| Get or Set annotation flags.
FSDateTime * | modifiedDateTime
| Get or Set last modified date time.
NSString * | uniqueID
| Get or Set unique ID.

## Detailed Description

Class FSPSInk represents a Foxit custom annotation type, not a standard annotation type, which is used to store data of pressure sensitive ink to PDF page. An existed PSInk annotation can be retrieved from PDF page by functions FSPDFPage::getAnnot: and FSPDFPage::getAnnotAtPoint:tolerance:. A new PSInk annotation would be returned by function FSPSI::convertToPDFAnnot:annot_rect:rotate:, instead of FSPDFPage::addAnnot:rect:.
Class FSPSInk is derived from class FSAnnot and also offers functions to get/set annotation's basic properties of a PSInk annotation. Currently, some properties and functions can be changed with a PSInk annotation, but will not have any effect on the appearance of PSInk annotation. These properties include border information, and border color. These functions include FSAnnot::removeProperty:.
Besides, currently Foxit PDF SDK does not support to move a PSInk annotation by function FSAnnot::move:. Since PSInk is not a standard annotation, so is cannot be added to page by function FSPDFPage::addAnnot:rect:; instead, PSInk could be converted from a FSPSI object by function FSPSI::convertToPDFAnnot:annot_rect:rotate:.

See also
  FSPSI
  FSPDFPage
  FSAnnot

## Method Documentation

## ◆ initWithAnnot:()

- (id) initWithAnnot: |  | (FSAnnot*) | annot |

Constructor, with parent class object.

Parameters

  [in] | annot | Parent class object.

Reimplemented from FSAnnot.